package com.hisschemoller.view 
{
	import com.hisschemoller.AppFacade;
	import com.hisschemoller.view.components.LoadPanel;
	
	import org.puremvc.as3.interfaces.IMediator;
	import org.puremvc.as3.patterns.mediator.Mediator;
	
	import flash.events.Event;	
	/**
	 * @author Wouter Hisschemoller
	 * (c) Oct 2, 2009
	 */
	public class LoadPanelMediator extends Mediator implements IMediator 
	{
		public static const NAME : String = "LoadPanelMediator";
		
		public function LoadPanelMediator(viewComponent : Object = null)
		{
			super(NAME, viewComponent);
		}

		/**
		 * 
		 */
		override public function onRegister() : void
		{
			loadPanel.addEventListener(LoadPanel.LOAD_BUTTON_CLICK, handleLoadButtonClick);
		}

		/**
		 * 
		 */
		private function handleLoadButtonClick(event : Event) : void
		{
			facade.sendNotification(AppFacade.MP3_SELECT);
		}

		/**
		 * 
		 */
		private function get loadPanel() : LoadPanel
		{
			return viewComponent as LoadPanel;
		}
	}
}
