package com.hisschemoller.view.components 
{
	import assets.LabelAlignRightAsset;
	
	import com.hisschemoller.view.components.base.Label;
	
	import flash.display.MovieClip;	
	/**
	 * (c) Copyright LBi Lost Boys 2009
	 * @author wouter.hisschemoller
	 */
	public class AlignRightLabel extends Label 
	{
		public function AlignRightLabel(asset : MovieClip, text : String = "")
		{
			super(asset, text);
		}
		
		/**
		 * Creates and adds the child display objects of this component.
		 */
		override protected function addChildren():void
		{
			_height = 18;
			_textField = asset.tTextField;
			_textField.embedFonts = true;
			_textField.selectable = false;
			_textField.mouseEnabled = false;
		}

		/**
		 * 
		 */
		private function get asset() : LabelAlignRightAsset
		{
			return _asset as LabelAlignRightAsset;
		}
	}
}
