package com.hisschemoller.view.components 
{
	import assets.HScrollBarAsset;
	
	import com.hisschemoller.view.components.base.ScrollBar;
	
	import flash.display.MovieClip;
	import flash.events.MouseEvent;	
	/**
	 * (c) Copyright LBi Lost Boys 2009
	 * @author wouter.hisschemoller
	 */
	public class HScrollBar extends ScrollBar 
	{
		public function HScrollBar(asset : MovieClip)
		{
			super(asset, ScrollBar.HORIZONTAL);
		}

		/**
		 * Creates and adds the child display objects of this component.
		 */
		override protected function addChildren() : void
		{
			super.addChildren();
			
			_track = asset.tTrack;
			_track.addEventListener(MouseEvent.MOUSE_DOWN, handleTrackMouseDown);
			_track.stage.addEventListener(MouseEvent.MOUSE_UP, handleTrackMouseUp);
			
			_thumb = asset.tThumb;
			_thumb.addEventListener(MouseEvent.MOUSE_DOWN, handleThumbMouseDown);
			_thumb.buttonMode = true;
			_thumb.useHandCursor = true;
		}

		/**
		 * 
		 */
		private function get asset() : HScrollBarAsset
		{
			return _asset as HScrollBarAsset;
		}
	}
}
