package com.hisschemoller.view.components 
{
	import assets.LoadPanelAsset;
	
	import com.hisschemoller.view.components.base.Component;
	import com.hisschemoller.view.components.base.PushButton;
	
	import flash.display.DisplayObjectContainer;
	import flash.events.Event;
	import flash.events.MouseEvent;	
	/**
	 * @author Wouter Hisschemoller
	 * (c) Oct 2, 2009
	 */
	public class LoadPanel extends Component 
	{
		public static const LOAD_BUTTON_CLICK : String = "loadButtonClick";
		private var _loadButton : PushButton;
		
		public function LoadPanel(inContainer : DisplayObjectContainer)
		{
			super(inContainer, new LoadPanelAsset());
		}

		/**
		 * 
		 */
		override protected function addChildren() : void
		{
			_loadButton = new PushButton(asset.tLoadButton);
			_loadButton.addEventListener(MouseEvent.CLICK, handleLoadClick);
		}

		/**
		 * 
		 */
		private function handleLoadClick(event : MouseEvent) : void
		{
			dispatchEvent(new Event(LoadPanel.LOAD_BUTTON_CLICK));
		}

		/**
		 * 
		 */
		private function get asset() : LoadPanelAsset
		{
			return _asset as LoadPanelAsset;
		}
	}
}
