﻿package com.hisschemoller 
{
	import yalog.YaLogConnector;
	
	import com.hisschemoller.view.components.Controls;
	import com.hisschemoller.view.components.LoadPanel;
	import com.hisschemoller.view.components.SampleEditor;
	import com.hisschemoller.view.components.WaveDisplay;
	
	import flash.display.Sprite;
	import flash.display.StageAlign;
	import flash.display.StageQuality;
	import flash.display.StageScaleMode;	
	/**
	 * @author Wouter Hisschemoller
	 * (c) Jan 11, 2010
	 * 
	 * TODO: MOUSE_LEAVE of wat dat is bij muis weg van stage bij sliders en scrollbars.
	 * TODO: Geluid blijft weg nadat selectie eenmaal te klein is geweest.
	 * TODO: Reset reverse knop en verticale zoom na laden nieuwe sample.
	 */
	public class App extends Sprite
	{
		public var _waveDisplay : WaveDisplay;
		public var _loadPanel : LoadPanel;
		public var _sampleEditor : SampleEditor;
		public var _controls : Controls;

		public function App()
		{
			YaLogConnector.connect();
			
			stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			stage.quality = StageQuality.BEST;
			stage.showDefaultContextMenu = false;
			
			initUI();
			init();
		}	

		/**
		 * 
		 */
		private function initUI() : void
		{
			_loadPanel = new LoadPanel(this);
			_waveDisplay = new WaveDisplay(this);
			_sampleEditor = new SampleEditor(this);
			_controls = new Controls(this);
		}

		/**
		 * 
		 */
		private function init() : void
		{
			var facade : AppFacade = AppFacade.getInstance();
			
			facade.startup(this);
		}
	}
}